# absolute path to this directory
ROOT_DIR	:= /MAKE/dvv
#ROOT_DIR	:= /home/dvv/www/build/dvv

# kernel version x.y.z
KERNEL_VERSION	:= 2.6.27

# network parameters
#http_proxy	:= http://172.23.231.62:3128
ftp_proxy	:= $(http_proxy)

# packages marked as:
FAILED		:= cmake
DEPRECATED	:= apache python
TOOLS		:= bison cdrkit cmake flex groff m4 mksquashfs nasm perl \
			pkg-config strace syslinux

BASE	:= busybox file gpm htop kbd linux make mc pciutils screen sudo udev \
	usbutils

STORAGE	:= cdrkit dosfs dvdrwtools ext2fs genext2fs lvm \
	mksquashfs ntfs syslinux udftools

JUKE	:= alsa-utils fbv imagemagick libalsa mplayer orpheus sox

DOC	:= arj cabextract catdoc gnuplot sane sqlite unshield unzip zip

NETWORK	:= afuse dropbear elinks hping ipconfig iptables nbtscan ndiswrapper nmap \
	ntpclient openssl openvpn sftp smbnetfs sshfs stunnel tcpdump \
	wireless-tools wpa_supplicant

SERVERS	:= apache dnsmasq mgetty nbd ppp rzsz samba shttpd stunnel \
	uucp vsftpd vtun xmail

DEVEL	:= cvs git lua mercurial nasm python strace subversion upx valgrind

MISC	:= libxslt lsof wraplinux

# what to include in usrfs
CONFIG-y	:= $(BASE) $(STORAGE) $(DOC) 
#$(JUKE) $(NETWORK) $(SERVERS) $(DEVEL) $(MISC)

# should we build in-RAM system
#CONFIG_INMEM	:= y

# common make flags: be quiet
MAKEFLAGS	:= -s
